org.eclipse.jetty.annotations

## Interface ClassNameResolver

    public interface ClassNameResolver

### Method Summary

Methods
`boolean` `isExcluded(String name)` Based on the execution context, should the class represented by "name" be excluded from consideration?
`boolean` `shouldOverride(String name)` Based on the execution context, if a duplicate class represented by "name" is detected, should the existing one be overridden or not?

### Method Detail

#### isExcluded

    boolean isExcluded(String name)

Based on the execution context, should the class represented by "name" be excluded from consideration?

Parameters:
  `name` -
Returns:
  true if classname is excluded

#### shouldOverride

    boolean shouldOverride(String name)

Based on the execution context, if a duplicate class represented by "name" is detected, should the existing one be overridden or not?

Parameters:
  `name` -
Returns:
  true if name should be overridden